org.springframework.data.jdbc.core.convert

## Class JdbcIdentifierBuilder

- java.lang.Object
- - org.springframework.data.jdbc.core.convert.JdbcIdentifierBuilder

    public class JdbcIdentifierBuilder
    extends Object

Builder for `Identifier`. Mainly for internal use within the framework

Since:
  1.1
Author:
  Jens Schauder

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Identifier` `build()`
`static JdbcIdentifierBuilder` `empty()`
`static JdbcIdentifierBuilder` `forBackReferences(JdbcConverter converter, PersistentPropertyPathExtension path, Object value)` Creates ParentKeys with backreference for the given path and value of the parents id.
`JdbcIdentifierBuilder` `withQualifier(PersistentPropertyPathExtension path, Object value)` Adds a qualifier to the identifier to build.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### empty

    public static JdbcIdentifierBuilder empty()

#### forBackReferences

    public static JdbcIdentifierBuilder forBackReferences(JdbcConverter converter,
                                                          PersistentPropertyPathExtension path,
                                                          @Nullable
                                                          Object value)

Creates ParentKeys with backreference for the given path and value of the parents id.

#### withQualifier

    public JdbcIdentifierBuilder withQualifier(PersistentPropertyPathExtension path,
                                               Object value)

Adds a qualifier to the identifier to build. A qualifier is a map key or a list index.

Parameters:
  `path` - path to the map that gets qualified by `value`. Must not be null.
  `value` - map key or list index qualifying the map identified by `path`. Must not be null.
Returns:
  this builder. Guaranteed to be not null.

#### build

    public Identifier build()